<?php
/**
 *
 * @category        modules
 * @package         404 page redirect
 * @author          Ruud Eisinga / Dev4me
 * @link			http://www.dev4me.nl/modules-snippets/opensource/404/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         1.5.0
 * @lastmodified    June 21, 2020
 *
 *
 */

$MOD_404 = array(
	'TXT_TITLE'		=> '404 - Redirect',
	'TXT_LEGEND'	=> 'Maak een .htaccess bestand in de root van uw website en plaats daarin de volgende regel',
	'TXT_SHORTPHP'	=> 'Het lijkt erop dat u "shorturl" gebruikt. Verander de waarde van "ERROR_PAGE" in {WEBSITE_ROOT}/short.php naar:',
	'TXT_WBPHP'		=> 'Het lijkt erop dat u "shorturl" gebruikt. Verander de waarde van "ERROR_PAGE" in {WEBSITE_ROOT}/wb.php naar:',
	'TXT_HELP'		=> 'Help',
	'TXT_CONFIG'	=> 'Configuratie',
	'TXT_RULES'		=> 'Regels',
	'TXT_HISTORY'	=> 'Geschiedenis',
	'TXT_ERRORURL'	=> 'Foute url (gedeeltelijk) - Maak leeg om te verwijderen',
	'TXT_REDIRPAGE'	=> 'Redirect pagina',
	'TXT_SAVE'		=> 'Opslaan',
	'TXT_UPDATE'	=> 'Bijwerken',
	'TXT_ADDNEW'	=> 'Toevoegen',
	'TXT_NEW'		=> 'Nieuwe regel',
	'TXT_SELECT'	=> '-- Kies een pagina --',
	'TXT_CONFIG'	=> 'Configuratie',
	'TXT_EMAIL'		=> 'E-mail adres voor meldingen van niet gevonden pagina\'s <br><small>(laat leeg om geen e-mail te ontvangen)</small>',
	'TXT_EMAILSUB'	=> 'Onderwerp van de verstuurde email',
	'TXT_SUBJECT'	=> 'Pagina niet gevonden',
	'TXT_TIMESTAMP'	=> 'Datum &amp; Tijd',
	'TXT_WEBSITE'	=> 'Website',
	'TXT_COUNTER'	=> 'Voorgekomen in de laatste 14 dagen',
	'TXT_WRONGPAGE'	=> 'Foute pagina',
	'TXT_REFERER'	=> 'Referer',
	'TXT_REMOTEIP' 	=> 'Remote IP-adres',
	'TXT_REMOTEHOST'=> 'Externe hostnaam',
	'TXT_BROWSER' 	=> 'Browser informatie',
	'TXT_BROWSERP' 	=> 'Platform',
	'TXT_BROWSERV' 	=> 'Versie',
	'TXT_HIST_DATE'	=> 'Datum',
	'TXT_HIST_TIME'	=> 'Tijd',
	'TXT_HIST_URL'	=> 'Url',
	'TXT_HIST_REF'	=> 'Referer',
	'TXT_STOREIP'	=> 'Sla IP adres/hostnaam van bezoeker op',
	'TXT_INTERVAL'	=> 'Stuur een email rapportage éénmaal per',
	'TXT_INTHELP'	=> 'Een e-mail met alle meldingen wordt maximaal éénmaal per aangegeven tijd gestuurd op het moment dat de volgende fout plaatsvindt',
	'TXT_INT0'		=> 'Iedere fout',
	'TXT_INT3'		=> '3 uur',
	'TXT_INT6'		=> '6 uur',
	'TXT_INT12'		=> '12 uur',
	'TXT_INT24'		=> '24 uur',
	'TXT_YES'		=> 'Ja',
	'TXT_NO'		=> 'Nee',
	'TXT_WITHREF'	=> 'Rapporteer alleen regels met referrer',
	'TXT_BAKERY'	=> 'Bakery paginas toevoegen in redirects',
	'TXT_OFA'		=> 'Oneforall paginas toevoegen in redirects',
);

?>