<?php
/**
 *
 * @category        modules
 * @package         404 page redirect
 * @author          Ruud Eisinga / Dev4me
 * @link			http://www.dev4me.nl/modules-snippets/opensource/404/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         1.5.0
 * @lastmodified    June 21, 2020
 *
 *
 */

// manually include the config.php file (defines the required constants)
require('../../config.php');
$update_when_modified = true;
require(WB_PATH.'/modules/admin.php');

$config = $admin->get_post('config');
if($config == '1') {
	$id = $database->get_one("SELECT `id` from `" .TABLE_PREFIX ."mod_404_cfg` LIMIT 1");
	$email = $admin->get_post('email');
	$subject = $admin->get_post('subject');
	$interval = $admin->get_post('interval');
	$storeip = $admin->get_post('storeip');
	$withref = $admin->get_post('withref');
	$bakery = (null !== $admin->get_post('bakery')) ? $admin->get_post('bakery') : 0;
	$ofa = (null !== $admin->get_post('oneforall')) ? $admin->get_post('oneforall') : 0;
	if($id) {
		$database->query("UPDATE `" .TABLE_PREFIX ."mod_404_cfg` SET `email`='$email', `subject`='$subject', `interval`='$interval', `storeip`='$storeip', `withref`='$withref', `bakery`='$bakery', `oneforall`='$ofa'  WHERE `id`='$id'");
	} else {
		$database->query("INSERT INTO `" .TABLE_PREFIX ."mod_404_cfg` SET `email`='$email', `subject`='$subject', `interval`='$interval', `storeip`='$storeip', `withref`='$withref', `bakery`='$bakery', `oneforall`='$ofa'  ");
	}
} else {
	$id = $admin->get_post('id');
	$wrong = $database->escapeString($admin->get_post('wrong'));
	$redirect = $database->escapeString($admin->get_post('redir_id'));
	if ($id == 0 && $wrong != '') {
		if(is_numeric($redirect)) {
			$database->query("INSERT INTO `" .TABLE_PREFIX ."mod_404` (`404_wrong`,`404_right`,`404_link`) VALUES ('$wrong','$redirect','')");
		} else {
			$database->query("INSERT INTO `" .TABLE_PREFIX ."mod_404` (`404_wrong`,`404_right`,`404_link`) VALUES ('$wrong','0','$redirect')");
		}
	} elseif ($wrong == '') {
		$database->query("DELETE FROM ".TABLE_PREFIX."mod_404 WHERE `404_id` = '$id'");
	} else {
		if(is_numeric($redirect)) {
			$database->query("UPDATE ".TABLE_PREFIX."mod_404 SET `404_wrong` = '$wrong', `404_right` = '$redirect', `404_link` = ''  WHERE `404_id` = '$id'");
		} else {
			$database->query("UPDATE ".TABLE_PREFIX."mod_404 SET `404_wrong` = '$wrong', `404_right` = '0',`404_link` = '$redirect' WHERE `404_id` = '$id'");
		}
	}
}

// check if there is a database error, otherwise say successful (functions defined or included via modules/admin.php)
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES_SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
// print admin footer
$admin->print_footer()

?>
