<?php
/**
 *
 * @category        modules
 * @package         404 page redirect
 * @author          Ruud Eisinga / Dev4me
 * @link			http://www.dev4me.nl/modules-snippets/opensource/404/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         1.5.0
 * @lastmodified    June 21, 2020
 *
 *
 */

$MOD_404 = array(
	'TXT_TITLE'		=> '404 - Umleitung',
	'TXT_LEGEND'	=> 'Erstelle eine .htaccess Datei im Hauptorder von WB und füge die folgende Zeile in diese Datei',
	'TXT_SHORTPHP'	=> 'Du scheinst "shorturl" zu verwenden. Ändere die "ERROR_PAGE" Definition in {WEBSITE_ROOT}/short.php zu:',
	'TXT_WBPHP'		=> 'Du scheinst "shorturl" zu verwenden. Ändere die "ERROR_PAGE" Definition in {WEBSITE_ROOT}/wb.php zu:',
	'TXT_HELP'		=> 'Hilfe',
	'TXT_CONFIG'	=> 'Konfig',
	'TXT_RULES'		=> 'Regeln',
	'TXT_HISTORY'	=> 'Verlauf',
	'TXT_ERRORURL'	=> 'Error URL (teilweise) - Leer um zu entfernen',
	'TXT_REDIRPAGE'	=> 'Umleitungs-Seite',
	'TXT_SAVE'		=> 'Speichern',
	'TXT_UPDATE'	=> 'Aktualisieren',
	'TXT_ADDNEW'	=> 'Neu anlegen',
	'TXT_NEW'		=> 'Neuer Eintrag',
	'TXT_SELECT'	=> '-- Seite wählen --',
	'TXT_CONFIG'	=> 'Konfiguration',
	'TXT_EMAIL'		=> 'Emailadresse für Benachrichtigung über nicht gefundene Seiten (leer lassen um keine Email-Reports zu erhalten)',
	'TXT_EMAILSUB'	=> 'Betreff der E-Mail',
	'TXT_SUBJECT'	=> 'Fehler 404 - Seite nicht gefunden',
	'TXT_TIMESTAMP'	=> 'Datum &amp; Zeit',
	'TXT_WEBSITE'	=> 'Webseite',
	'TXT_COUNTER'	=> 'Counter der letzten 14 Tage',
	'TXT_WRONGPAGE'	=> 'Fehler-Seite',
	'TXT_REFERER'	=> 'Referer',
	'TXT_REMOTEIP'	=> 'Remote-IP-Adresse',
	'TXT_REMOTEHOST' => 'Remote-Hostname',
	'TXT_BROWSER' 	=> 'Browser-Informationen',
	'TXT_BROWSERP' 	=> 'Plattform',
	'TXT_BROWSERV' 	=> 'Version',
	'TXT_HIST_DATE'	=> 'Datum',
	'TXT_HIST_TIME'	=> 'Zeit',
	'TXT_HIST_URL'	=> 'Url',
	'TXT_HIST_REF'	=> 'Referer',
	'TXT_STOREIP'	=> 'IP-Adresse / Hostname des Besuchers speichern',
	'TXT_INTERVAL'	=> 'Senden Sie einen E-Mail-Bericht einmal pro',
	'TXT_INTHELP'	=> 'Eine E-Mail mit allen Meldungen wird maximal einmal in der hier gewählten Zeit versendet',
	'TXT_INT0'		=> 'Fehler',
	'TXT_INT3'		=> '3 Stunden',
	'TXT_INT6'		=> '6 Stunden',
	'TXT_INT12'		=> '12 Stunden',
	'TXT_INT24'		=> '24 Stunden',
	'TXT_YES'		=> 'Ja',
	'TXT_NO'		=> 'Nein',
	'TXT_WITHREF'	=> 'Nur Einträge mit Referrer melden',
	'TXT_BAKERY'	=> 'Bakery-Seiten in Umleitungen aufnehmen',
	'TXT_OFA'		=> 'OneForall-Seiten in Umleitungen aufnehmen',
);
